| Home | Libraries | People | FAQ | More

##### params_ref::count

(Inherited from `params_base`)

Return the number of matching keys.

###### Synopsis

    std::size_t
    count(
        core::string_view key,
        ignore_case_param ic = {}) const;

###### Description

This function examines the parameters in the container to find the number of matches for the specified key. The comparison is performed as if all escaped characters were decoded first.

###### Example

    assert( url_view( "?first=John&last=Doe" ).params().count( "first" ) == 1 );

###### Complexity

Linear in `this->buffer().size()`.

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`key` | The key to match. By default, a case-sensitive comparison is used.
`ic` | An optional parameter. If the value `ignore_case` is passed here, the comparison is case-insensitive.